package model

import "fmt"

type Item struct {
	Product *Product
	Count   uint32 `validate:"gt=0"`
}

func (i *Item) Validate() error {
	if err := validate.Struct(i); err != nil {
		return fmt.Errorf("invalid requested values: %w", err)
	}

	return nil
}
